# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live"
payload = [
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": ["answer"]
},
{
"keyword": "auto",
"search_scope": ["question"],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [["ai_search_volume", ">", 10]],
"limit": 3,
"internal_list_limit": 2
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
language_code: 'en',
location_code: 2840,
platform: 'chat_gpt',
target: [
{keyword: 'bmw', search_scope: ['answer']},
{keyword: 'auto', search_scope: ['question'], match_type: 'partial_match'}
],
links_scope: 'sources',
initial_dataset_filters: [['ai_search_volume', '>', 10]],
limit: 3,
internal_list_limit: 2
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en',
'location_code' => 2840,
'platform' => 'chat_gpt',
'target' => [
[
'keyword' => 'bmw',
'search_scope' => [
'answer'
]
],
[
'keyword' => 'auto',
'search_scope' => [
'question'
],
'match_type' => 'partial_match'
]
],
'links_scope' => 'sources',
'initial_dataset_filters' => [
[
'ai_search_volume',
'>',
10
]
],
'limit' => 3,
'internal_list_limit' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live"
payload := strings.NewReader("[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"total_count": 123,
"offset": 123,
"items_count": 123,
"aggregated_metrics": {},
"items": [
{
"domain": "<string>",
"location": 123,
"language": "<string>",
"platform": "<string>",
"metrics": {
"mentions": 123,
"ai_search_volume": 123
}
}
]
}
]
}
]
}Live Ai Optimization Llm Mentions Top Mentioned Domains Lite
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live"
payload = [
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": ["answer"]
},
{
"keyword": "auto",
"search_scope": ["question"],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [["ai_search_volume", ">", 10]],
"limit": 3,
"internal_list_limit": 2
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
language_code: 'en',
location_code: 2840,
platform: 'chat_gpt',
target: [
{keyword: 'bmw', search_scope: ['answer']},
{keyword: 'auto', search_scope: ['question'], match_type: 'partial_match'}
],
links_scope: 'sources',
initial_dataset_filters: [['ai_search_volume', '>', 10]],
limit: 3,
internal_list_limit: 2
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en',
'location_code' => 2840,
'platform' => 'chat_gpt',
'target' => [
[
'keyword' => 'bmw',
'search_scope' => [
'answer'
]
],
[
'keyword' => 'auto',
'search_scope' => [
'question'
],
'match_type' => 'partial_match'
]
],
'links_scope' => 'sources',
'initial_dataset_filters' => [
[
'ai_search_volume',
'>',
10
]
],
'limit' => 3,
'internal_list_limit' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live"
payload := strings.NewReader("[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en\",\n \"location_code\": 2840,\n \"platform\": \"chat_gpt\",\n \"target\": [\n {\n \"keyword\": \"bmw\",\n \"search_scope\": [\n \"answer\"\n ]\n },\n {\n \"keyword\": \"auto\",\n \"search_scope\": [\n \"question\"\n ],\n \"match_type\": \"partial_match\"\n }\n ],\n \"links_scope\": \"sources\",\n \"initial_dataset_filters\": [\n [\n \"ai_search_volume\",\n \">\",\n 10\n ]\n ],\n \"limit\": 3,\n \"internal_list_limit\": 2\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"total_count": 123,
"offset": 123,
"items_count": 123,
"aggregated_metrics": {},
"items": [
{
"domain": "<string>",
"location": 123,
"language": "<string>",
"platform": "<string>",
"metrics": {
"mentions": 123,
"ai_search_volume": 123
}
}
]
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_ai_optimization_9e961b",
"method": "POST",
"path": "/apis/v1/dataforseo/ai_optimization/llm_mentions/top_mentioned_domains_lite/live",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"type": [
"object",
"null"
],
"oneOf": [
{
"type": "object",
"properties": {
"target": {
"type": [
"array",
"null"
],
"items": {
"type": [
"object",
"null"
],
"oneOf": [
{
"type": "object",
"properties": {
"search_scope": {
"type": [
"array",
"null"
],
"items": {
"type": [
"string",
"null"
]
},
"description": "target domain search scope\noptional field\npossible values:\nany, sources, search_results\ndefault value: any"
},
"search_filter": {
"type": [
"string",
"null"
],
"description": "target domain search filter\noptional field\npossible values:\ninclude, exclude\ndefault value: include"
}
},
"discriminator": {
"propertyName": "type",
"mapping": {
"domain": "#/components/schemas/Provider463397119C53_AiOptimizationLLmMentionsDomainElement",
"keyword": "#/components/schemas/Provider463397119C53_AiOptimizationLLmMentionsKeywordElement"
}
}
}
]
},
"description": "array of objects containing target entities\nrequired field\nyou can specify up to 10 entities (objects) in the target field\none target entity can contain either one domain or one keyword and related parameters\nexamples:\n\ntarget array with a domain entity"
},
"location_name": {
"type": [
"string",
"null"
],
"description": "<em>full name of search location</em><br>optional field<br>if you use this field, you don't need to specify <code>location_code</code><br>if you don't specify this field, the <code>location_code</code> with <code class=\"long-string\">2840</code> value will be used by default;<br>you can receive the list of available locations of the search engine with their <code>location_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages</code><br><strong>Note: <code>chat_gpt</code> data is available for <code class=\"long-string\">United States</code> only"
},
"location_code": {
"type": [
"integer",
"null"
],
"description": "<em>search location code</em><br>optional field<br>if you use this field, you don't need to specify <code>location_name</code><br>you can receive the list of available locations of the search engine with their <code>location_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages</code><br>default value: <code class=\"long-string\">2840</code><br><strong>Note: <code>chat_gpt</code> data is available for <code class=\"long-string\">2840</code> only"
},
"language_name": {
"type": [
"string",
"null"
],
"description": "<em>full name of search language</em><br>optional field<br>if you use this field, you don't need to specify <code>language_code</code>;<br>if you don't specify this field, the <code>language_code</code> with <code class=\"long-string\">en</code> value will be used by default;<br>you can receive the list of available languages of the search engine with their <code>language_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages</code><br><strong>Note: <code>chat_gpt</code> data is available for <code class=\"long-string\">English</code> only"
},
"language_code": {
"type": [
"string",
"null"
],
"description": "<em>search language code</em><br>optional field<br>if you use this field, you don't need to specify <code>language_name</code>;<br>you can receive the list of available languages of the search engine with their <code>language_code</code>_by making a separate request to the <code>https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages</code><br>default value: <code class=\"long-string\">en</code><br><strong>Note: <code>chat_gpt</code> data is available for <code class=\"long-string\">en</code> onlyn"
},
"platform": {
"type": [
"string",
"null"
],
"description": "<em>target platform</em><br>optional field<br>possible values:<br><code>chat_gpt</code>, <code>google</code><br>default value: <code class=\"long-string\">google</code><br><strong>Note:</strong> if the <code>platform</code> is not specified, the data is returned for both platforms<br><strong>Note #2:</strong><code>chat_gpt</code> data is available for the <code>United States</code> and <code>English</code> only"
},
"links_scope": {
"type": [
"string",
"null"
],
"description": "<em>links source scope</em><br>optional field<br>this parameter specifies which links will be used to extract domains and aggregation data<br>possible values: <code>sources</code>, <code>search_results</code><br>default value: <code>sources</code>;<br><strong>Note:</strong> if you specify <code>search_results</code>, the data will be available for <code>chat_gpt</code> only"
},
"filters": {
"type": [
"array",
"null"
],
"items": {
"type": [
"object",
"null"
]
},
"description": "<em>array of results filtering parameters</em><br>optional field<br><strong>you can add several filters at once (8 filters maximum)</strong><br>you should set a logical operator <code>and</code>, <code>or</code> between the conditions<br>the following operators are supported:<br><code>=</code>, <code><></code>, <code>in</code>, <code>not_in</code>, <code>like</code>, <code>not_like</code>, <code>ilike</code>, <code>not_ilike</code>, <code>match</code>, <code>not_match</code><br>you can use the <code>%</code> operator with <code>like</code> and <code>not_like</code> to match any string of zero or more characters<br>example:<br><code>[\"ai_search_volume\",\">\",1000]</code><p>The full list of possible filters is available <a href=\"/v3/ai_optimization/llm_mentions/filters/\" rel=\"noopener noreferrer\" target=\"_blank\">here.</a>"
},
"initial_dataset_filters": {
"type": [
"array",
"null"
],
"items": {
"type": [
"object",
"null"
]
},
"description": "<em>array of filter expressions applied before aggregation</em><br>optional field<br>you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;<p><strong>you can add several filters at once (8 filters maximum)</strong><br>you should set a logical operator <code>and</code>, <code>or</code> between the conditions<br>the following operators are supported:<br><code>=</code>, <code><></code>, <code>in</code>, <code>not_in</code>, <code>like</code>, <code>not_like</code>, <code>ilike</code>, <code>not_ilike</code>, <code>match</code>, <code>not_match</code><br>you can use the <code>%</code> operator with <code>like</code> and <code>not_like</code> to match any string of zero or more characters<br>example:<br><code>[\"ai_search_volume\",\">\",1000]</code><p>the full list of possible filters is available <a href=\"/v3/ai_optimization/llm_mentions/filters\" rel=\"noopener noreferrer\" target=\"_blank\">here.</a><br>learn more about the initial dataset filters in <a href=\"https://dataforseo.com/help-center/what-are-the-initial-dataset-filters-and-how-do-they-work\" rel=\"noopener noreferrer\" target=\"_blank\">this help center article.</a>"
},
"limit": {
"type": [
"integer",
"null"
],
"description": "<em>maximum number of results in the items array</em><br>optional field<br>you can use this parameter to limit the number of data objects you receive in the <code>items</code> array<br>minimum value: <code>1</code><br>maximum value: <code>1000</code><br>default value: <code>100</code>"
},
"internal_list_limit": {
"type": [
"integer",
"null"
],
"description": "<em>maximum number of elements within internal arrays</em><br>optional field<br>you can use this field to limit the number of elements within the following arrays:<br><code>sources_domain</code>, <code>search_results_domain</code>, <code>brand_entities_title</code>, <code>brand_entities_category</code><br>minimum value: <code>1</code><br>maximum value: <code>10</code><br>default value: <code>5</code>"
},
"order_by": {
"type": [
"array",
"null"
],
"items": {
"type": "string"
},
"description": "<em>results sorting rules</em><br>optional field<br>you can use the same values as in the <code>filters</code> array to sort the results<br>possible sorting types:<br><code>asc</code> - results will be sorted in the ascending order<br><code>desc</code> - results will be sorted in the descending order<br>you should use a comma to set up a sorting type<br>example:<br><code>[\"ai_search_volume,desc\"]</code><br><strong>Note:</strong> you can set no more than three sorting rules in a single request<br>you should use a comma to separate several sorting rules"
},
"offset": {
"type": [
"integer",
"null"
],
"description": "<em>offset in the results array of the returned mentions data</em><br>optional field<p>default value: <code>0</code><br>example: if you specify the <code>10</code> value, the first ten mentions objects in the results array will be omitted and the data will be provided for the successive objects;<br><strong>Note:</strong> the maximum value is <code>1000000</code>"
},
"include_domains": {
"type": [
"array",
"null"
],
"items": {
"type": "string"
},
"description": "<em>array of domains to include in the response</em><br>optional field<br>if specified, only the listed domains will be returned in the <code>items</code> array<br>example:<br><code>[\"dataforseo.com\",\"seoinsider.com\"]</code>"
},
"exclude_domains": {
"type": [
"array",
"null"
],
"items": {
"type": "string"
},
"description": "<em>array of domains to exclude from the response</em><br>optional field<br>if specified, the listed domains will be omitted from the <code>items</code> array<br>example:<br><code>[\"google.com\",\"bing.com\"]</code>"
},
"tag": {
"type": [
"string",
"null"
],
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255</em><br>you can use this parameter to identify the task and match it with the result<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response"
}
},
"example": [
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]
}
]
},
"example": [
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
},
{
"keyword": "auto",
"search_scope": [
"question"
],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [
[
"ai_search_volume",
">",
10
]
],
"limit": 3,
"internal_list_limit": 2
}
]
}
}
}
},
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.101,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"schemas": {
"Provider463397119C53_AiOptimizationLLmMentionsDomainElement": {
"allOf": [
{
"type": [
"object",
"null"
],
"oneOf": [
{
"$ref": "#/components/schemas/Provider463397119C53_BaseAiOptimizationLLmMentionsTargetElement"
}
]
},
{
"type": "object",
"properties": {
"domain": {
"type": [
"string",
"null"
],
"description": "target domain\nrequired field if you don’t specify keyword\na domain should be specified without https:// and www."
},
"include_subdomains": {
"type": [
"boolean",
"null"
],
"description": "indicates if the subdomains of the target domain will be included in the search\noptional field\nif set to true, the subdomains will be included in the search\ndefault value: false"
}
}
}
]
},
"Provider463397119C53_BaseAiOptimizationLLmMentionsTargetElement": {
"type": "object",
"properties": {
"search_scope": {
"type": [
"array",
"null"
],
"items": {
"type": [
"string",
"null"
]
},
"description": "target domain search scope\noptional field\npossible values:\nany, sources, search_results\ndefault value: any"
},
"search_filter": {
"type": [
"string",
"null"
],
"description": "target domain search filter\noptional field\npossible values:\ninclude, exclude\ndefault value: include"
}
},
"discriminator": {
"propertyName": "type",
"mapping": {
"domain": "#/components/schemas/Provider463397119C53_AiOptimizationLLmMentionsDomainElement",
"keyword": "#/components/schemas/Provider463397119C53_AiOptimizationLLmMentionsKeywordElement"
}
}
},
"Provider463397119C53_AiOptimizationLLmMentionsKeywordElement": {
"allOf": [
{
"type": [
"object",
"null"
],
"oneOf": [
{
"$ref": "#/components/schemas/Provider463397119C53_BaseAiOptimizationLLmMentionsTargetElement"
}
]
},
{
"type": "object",
"properties": {
"keyword": {
"type": [
"string",
"null"
],
"description": "target keyword\nrequired field if you don’t specify domain\nyou can specify up to 2000 characters in the keyword field\nall %## will be decoded (plus character ‘+’ will be decoded to a space character)\nif you need to use the “%” character for your keyword, please specify it as “%25”;\nif you need to use the “+” character for your keyword, please specify it as “%2B”\nlearn more about rules and limitations of keyword and keywords fields in"
},
"match_type": {
"type": [
"string",
"null"
],
"description": "target keyword match type\ndefines how the specified keyword is matched\noptional field\npossible values:\nword_match – full-text search for terms that match the specified seed keyword with additional words included before, after, or within the key phrase (e.g., search for “light” will return results with “light bulb”, “light switch”);\npartial_match – substring search that finds all instances containing the specified sequence of characters, even if it appears inside a longer word (e.g., search for “light” will return results with “lighting”, “highlight”);\ndefault value: word_match"
}
}
}
]
}
},
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.101 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.101
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
array of objects containing target entities required field you can specify up to 10 entities (objects) in the target field one target entity can contain either one domain or one keyword and related parameters examples:
target array with a domain entity
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
full name of search location
optional field
if you use this field, you don't need to specify location_code
if you don't specify this field, the location_code with 2840 value will be used by default;
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for United States only
search location code
optional field
if you use this field, you don't need to specify location_name
you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: 2840
Note: chat_gpt data is available for 2840 only
full name of search language
optional field
if you use this field, you don't need to specify language_code;
if you don't specify this field, the language_code with en value will be used by default;
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for English only
search language code
optional field
if you use this field, you don't need to specify language_name;
you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: en
Note: chat_gpt data is available for en onlyn
target platform
optional field
possible values:chat_gpt, google
default value: google
Note: if the platform is not specified, the data is returned for both platforms
Note #2:chat_gpt data is available for the United States and English only
links source scope
optional field
this parameter specifies which links will be used to extract domains and aggregation data
possible values: sources, search_results
default value: sources;
Note: if you specify search_results, the data will be available for chat_gpt only
array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:=, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:["ai_search_volume",">",1000]
The full list of possible filters is available here.
array of filter expressions applied before aggregation
optional field
you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:=, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:["ai_search_volume",">",1000]
the full list of possible filters is available here.
learn more about the initial dataset filters in this help center article.
maximum number of results in the items array
optional field
you can use this parameter to limit the number of data objects you receive in the items array
minimum value: 1
maximum value: 1000
default value: 100
maximum number of elements within internal arrays
optional field
you can use this field to limit the number of elements within the following arrays:sources_domain, search_results_domain, brand_entities_title, brand_entities_category
minimum value: 1
maximum value: 10
default value: 5
results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:asc - results will be sorted in the ascending orderdesc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:["ai_search_volume,desc"]
Note: you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
offset in the results array of the returned mentions data
optional field
default value: 0
example: if you specify the 10 value, the first ten mentions objects in the results array will be omitted and the data will be provided for the successive objects;
Note: the maximum value is 1000000
array of domains to include in the response
optional field
if specified, only the listed domains will be returned in the items array
example:["dataforseo.com","seoinsider.com"]
array of domains to exclude from the response
optional field
if specified, the listed domains will be omitted from the items array
example:["google.com","bing.com"]
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[
{
"language_code": "en",
"location_code": 2840,
"platform": "chat_gpt",
"target": [
{
"keyword": "bmw",
"search_scope": ["answer"]
},
{
"keyword": "auto",
"search_scope": ["question"],
"match_type": "partial_match"
}
],
"links_scope": "sources",
"initial_dataset_filters": [["ai_search_volume", ">", 10]],
"limit": 3,
"internal_list_limit": 2
}
]
Response
Successful operation
the current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
Show child attributes
Show child attributes